(*===================================================================*)
(*                           DRIVERS.PAS                             *)
(*          Bindet alle BGI-Treiber ein und registriert sie          *)
(*===================================================================*)

UNIT Drivers;

INTERFACE

PROCEDURE EGAVGADriverProc;
PROCEDURE CGADriverProc;
PROCEDURE HercDriverProc;
PROCEDURE IBM8514DriverProc;
PROCEDURE PC3270DriverProc;
PROCEDURE ATT400DriverProc;

IMPLEMENTATION

USES
  Graph;

VAR
  dummy : INTEGER;

PROCEDURE EGAVGADriverProc;  EXTERNAL; {$L EGAVGA.OBJ}
PROCEDURE CGADriverProc;     EXTERNAL; {$L CGA.OBJ}
PROCEDURE HercDriverProc;    EXTERNAL; {$L HERC.OBJ}
PROCEDURE IBM8514DriverProc; EXTERNAL; {$L IBM8514.OBJ}
PROCEDURE PC3270DriverProc;  EXTERNAL; {$L PC3270.OBJ}
PROCEDURE ATT400DriverProc;  EXTERNAL; {$L ATT.OBJ}

BEGIN
  dummy := RegisterBGIDriver(@EGAVGADriverProc);
  dummy := RegisterBGIDriver(@CGADriverProc);
  dummy := RegisterBGIDriver(@HercDriverProc);
  dummy := RegisterBGIDriver(@IBM8514DriverProc);
  dummy := RegisterBGIDriver(@PC3270DriverProc);
  dummy := RegisterBGIDriver(@ATT400DriverProc);
END.

(*===================================================================*)
